<html>
<head>
<title>org.openembedd.site</title>
<style>@import url("web/site.css");</style>
<script type="text/javascript">
	var returnval = 0;
	var stylesheet, xmlFile, cache, doc;
	function init(){
		// NSCP 7.1+ / Mozilla 1.4.1+ / Safari
		// Use the standard DOM Level 2 technique, if it is supported
		if (document.implementation && document.implementation.createDocument) {
			xmlFile = document.implementation.createDocument("", "", null);
			stylesheet = document.implementation.createDocument("", "", null);
			if (xmlFile.load){
				xmlFile.load("site.xml");
				stylesheet.load("web/site.xsl");
			} else {
				alert("Document could not be loaded by browser.");
			}
			xmlFile.addEventListener("load", transform, false);
			stylesheet.addEventListener("load", transform, false);
		}
		//IE 6.0+ solution
		else if (window.ActiveXObject) {
			xmlFile = new ActiveXObject("msxml2.DOMDocument.3.0");
			xmlFile.async = false;
			xmlFile.load("site.xml");
			stylesheet = new ActiveXObject("msxml2.FreeThreadedDOMDocument.3.0");
			stylesheet.async = false;
			stylesheet.load("web/site.xsl");
			cache = new ActiveXObject("msxml2.XSLTemplate.3.0");
			cache.stylesheet = stylesheet;
			transformData();
		}
	}
	// separate transformation function for IE 6.0+
	function transformData(){
		var processor = cache.createProcessor();
		processor.input = xmlFile;
		processor.transform();
		data.innerHTML = processor.output;
	}
	// separate transformation function for NSCP 7.1+ and Mozilla 1.4.1+ 
	function transform(){
		returnval+=1;
		if (returnval==2){
			var processor = new XSLTProcessor();
			processor.importStylesheet(stylesheet); 
			doc = processor.transformToDocument(xmlFile);
			document.getElementById("data").innerHTML = doc.documentElement.innerHTML;
		}
	}
</script>
</head>
<body onload="init();">

                          <!--[insert static HTML here]-->

<H1><img src="img/logo.png" alt="OpenEmbeDD logo"> Experimental version update site</H1>
Update and discovery URL to be used in Eclipse : <b><a target="_um" href="http://openembedd.org/experimental/update">http://openembedd.org/experimental/update</a></b><BR>
You need only a clean Eclipse 3.3 java SDK and run OpenEmbeDD update on it.<BR>
Using this system you can easily install an up-to-date version of OpenEmbeDD tools.<BR>
<B>WARNING : this is an experimental version of OpenEmbeDD packaging, which lacks of the official OpenEmbeDD tests.</B>

<H2>Experimental OpenEmbeDD bundled plug-ins</H2>
In place of a classical Eclipse update, advanced developpers can download <a target="_um" href="http://openembedd.org/experimental/bundle/OpenEmbeDD_plugins_EXPERIMENTAL.zip">zipped plug-ins</a> they can extract in an existing free Eclipse directory.


<H2>OpenEmbeDD available experimental features</H2>

        <div id="data"><!-- this is where the transformed data goes --></div>
                             
Note: If you don't see the links to the jar files, this is due to browser incompatibility. In this case, please try with another browser. Sorry for the inconvenience.
<BR>
<A href="http://openembedd.org">back to OpenEmbeDD project web page</A>
</body>
</html>
